"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.promptRegistryUrl = exports.promptEmail = exports.promptPassword = exports.promptUsername = void 0;
const promptly_1 = __importDefault(require("promptly"));
const registry_url_1 = require("../domain/registry-url");
function promptUsername() {
    return promptly_1.default.prompt("Username: ");
}
exports.promptUsername = promptUsername;
function promptPassword() {
    return promptly_1.default.password("Password: ");
}
exports.promptPassword = promptPassword;
function promptEmail() {
    return promptly_1.default.prompt("Email: ");
}
exports.promptEmail = promptEmail;
function promptRegistryUrl() {
    return promptly_1.default.prompt("Registry: ", {
        validator: [registry_url_1.makeRegistryUrl],
    });
}
exports.promptRegistryUrl = promptRegistryUrl;
//# sourceMappingURL=prompts.js.map