"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeTrailingSlash = exports.trySplitAtFirstOccurrenceOf = void 0;
function trySplitAtFirstOccurrenceOf(s, split) {
    const elements = s.split(split);
    if (elements.length === 1)
        return [s, null];
    return [elements[0], elements.slice(1).join(split)];
}
exports.trySplitAtFirstOccurrenceOf = trySplitAtFirstOccurrenceOf;
/**
 * Removes trailing slash from a string.
 * @param s The string.
 */
function removeTrailingSlash(s) {
    if (s.endsWith("/"))
        return s.slice(0, -1);
    return s;
}
exports.removeTrailingSlash = removeTrailingSlash;
//# sourceMappingURL=string-utils.js.map